Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions.alm
Class PriorityRestriction

    java.lang.Object
      org.jasig.portal.layout.restrictions.UserLayoutRestriction
          org.jasig.portal.layout.restrictions.alm.ALRestriction
              org.jasig.portal.layout.restrictions.alm.PriorityRestriction

All Implemented Interfaces:
  IUserLayoutRestriction

    public class PriorityRestriction

extends ALRestriction

PriorityRestriction checks the priority restriction for a given ALNode object. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout.restrictions. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov

Field Summary
`private int` | `maxPriority`
`private int` | `minPriority`

Fields inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`nodePath`

Fields inherited from interface org.jasig.portal.layout.restrictions.IUserLayoutRestriction
`CHILDREN_RESTRICTION_PATH, LOCAL_RESTRICTION_PATH, PARENT_RESTRICTION_PATH`

Constructor Summary
`PriorityRestriction()`
`PriorityRestriction(java.lang.String name)`
`PriorityRestriction(java.lang.String name, java.lang.String nodePath)`

Method Summary
`boolean` | `checkRestriction(ILayoutNode node)` Checks the restriction for the current node
`boolean` | `checkRestriction(java.lang.String propertyValue)` Checks the restriction for the specified node
`int` | `getMaxValue()` Returns the maximum value of the given restriction
`int` | `getMinValue()` Returns the minimum value of the given restriction
`int[]` | `getRange()` Returns the minimum and maximum values of the given restriction as an integer array
`protected void` | `parseRestrictionExpression()` Parses the restriction expression of the current node
`void` | `setRestriction(int minPriority, int maxPriority)`

Methods inherited from class org.jasig.portal.layout.restrictions.alm.ALRestriction
`checkRestriction`

Methods inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`getName, getRestrictionExpression, getRestrictionPath, getUniqueKey, getUniqueKey, getUniqueKey, setName, setRestrictionExpression, setRestrictionPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minPriority

    private int minPriority

### maxPriority

    private int maxPriority

Constructor Detail

### PriorityRestriction

    public PriorityRestriction(java.lang.String name,
                               java.lang.String nodePath)

### PriorityRestriction

    public PriorityRestriction(java.lang.String name)

### PriorityRestriction

    public PriorityRestriction()

Method Detail

### getMaxValue

    public int getMaxValue()

  Returns the maximum value of the given restriction

  Returns:
    a maxPriority

### getMinValue

    public int getMinValue()

  Returns the minimum value of the given restriction

  Returns:
    a minPriority

### getRange

    public int[] getRange()

  Returns the minimum and maximum values of the given restriction as an integer array

  Returns:
    an integer array

### parseRestrictionExpression

    protected void parseRestrictionExpression()
                                       throws PortalException

  Parses the restriction expression of the current node

  Specified by:
    `parseRestrictionExpression` in class `UserLayoutRestriction`
  Throws:
    `PortalException`

### checkRestriction

    public boolean checkRestriction(java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction for the specified node

  Specified by:
    `checkRestriction` in interface `IUserLayoutRestriction`
  Specified by:
    `checkRestriction` in class `UserLayoutRestriction`
  Parameters:
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException`

### checkRestriction

    public boolean checkRestriction(ILayoutNode node)
                             throws PortalException

  Checks the restriction for the current node

  Specified by:
    `checkRestriction` in interface `IUserLayoutRestriction`
  Overrides:
    `checkRestriction` in class `UserLayoutRestriction`
  Parameters:
    `node` - a `ILayoutNode` node
  Returns:
    a boolean value
  Throws:
    `PortalException`

### setRestriction

    public void setRestriction(int minPriority,
                               int maxPriority)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD